Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class WFAppInstaller

    java.lang.Object
      com.fujitsu.iflow.model.util.WFAppInstaller

public class WFAppInstaller
extends java.lang.Object

WFAppInstaller handles the workflow application installation process. It will be used if the process definitions of an archived package (e.g. in a jar-file) should be imported into IBPM. It first extracts the package into a temporary directory and loads process definitions into the IBPM server. Then it reads the manifest information to import workflow components. For client side components, it simply uses file operation to copy those components to the appropriate places, For server side components, it uploads those components to a temporary DMS path on the server and invokes model API to deploy those components.

Constructor Summary
`WFAppInstaller()`

Method Summary
`WFAppManifest` | `checkManifest(WFSession session, java.lang.String packagePath, java.util.Hashtable clientPatternMappings)` Detects workflow application file name conflicts, updates the manifest information accordingly and returns the updated manifest information.
`void` | `disableTriggers()` Disables all triggers inside the process definitions.
`ArchiveStrategy` | `getArchiveStrategy()`
`WFAppManifest` | `getManifest(java.lang.String packagePath)` Gets the manifest information from the package specified by packagePath.
`java.lang.String` | `installWFApp(WFSession session, DMS dms, java.lang.String packagePath)` Exports client files from the package at first.
`void` | `saveManifest(java.lang.String packagePath, WFAppManifest manifest)` Saves the manifest information into the package file specified by packagePath.
`void` | `setArchiveStrategy(ArchiveStrategy archiveStrategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFAppInstaller

    public WFAppInstaller()

Method Detail

### disableTriggers

    public void disableTriggers()

  Disables all triggers inside the process definitions.

### getArchiveStrategy

    public ArchiveStrategy getArchiveStrategy()

### setArchiveStrategy

    public void setArchiveStrategy(ArchiveStrategy archiveStrategy)

### saveManifest

    public void saveManifest(java.lang.String packagePath,
                             WFAppManifest manifest)
                      throws ModelException

  Saves the manifest information into the package file specified by packagePath.

  Parameters:
    `packagePath` - The workflow application package file.
    `manifest` - The latest workflow application package manifest.
  Throws:
    `ModelException` - This exception returns the installation errors.

### checkManifest

    public WFAppManifest checkManifest(WFSession session,
                                       java.lang.String packagePath,
                                       java.util.Hashtable clientPatternMappings)
                                throws ModelException

  Detects workflow application file name conflicts, updates the manifest information accordingly and returns the updated manifest information.

  Parameters:
    `session` - The workflow session.
    `packagePath` - The workflow application package file.
    `clientPatternMappings` - The hashtable that maps the client environment. The key of the hashtable is virtual folder path on the client and the value is the real folder path on the client. The current supported keys are %CLIENT_ROOT% and %IBPM_PORTAL_URL%. The value of %CLIENT_ROOT% is the user root folder path on the client. The value of %IBPM_PORTAL_URL% is the IBPM client folder path such as C:\fujitsu\ibpm\taskmanager\iflowjsp.
  Returns:
    The updated workflow application manifest.
  Throws:
    `ModelException` - This exception returns the installation errors.

### installWFApp

    public java.lang.String installWFApp(WFSession session,
                                         DMS dms,
                                         java.lang.String packagePath)
                                  throws ModelException

  Exports client files from the package at first. Then uploads the package into the DMS repository. Finally uses the workflow session to install the specified workflow application package on the server side.

  Parameters:
    `session` - The workflow session.
    `dms` - The DMS Repository.
    `packagePath` - The workflow application package file.
  Returns:
    The java class path under the DMS folder.
  Throws:
    `ModelException` - This exception returns the installation errors.

### getManifest

    public WFAppManifest getManifest(java.lang.String packagePath)
                              throws ModelException

  Gets the manifest information from the package specified by packagePath.

  Parameters:
    `packagePath` - The workflow application package file.
  Returns:
    The workflow application manifest.
  Throws:
    `ModelException` - This exception returns the installation errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD